Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PageBlockAnimation

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PageBlock
it.tdlight.jni.TdApi.PageBlockAnimation

Enclosing class:
  TdApi

public static final class TdApi.PageBlockAnimation extends TdApi.PageBlock
An animation.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.Animation`
`animation`
Animation file; may be null.
`TdApi.PageBlockCaption`
`caption`
Animation caption.
`static final int`
`CONSTRUCTOR`
`boolean`
`needAutoplay`
True, if the animation must be played automatically.

## Constructor Summary

Constructors
Constructor
Description
`PageBlockAnimation()`
An animation.
`PageBlockAnimation(TdApi.Animation animation, TdApi.PageBlockCaption caption, boolean needAutoplay)`
An animation.
`PageBlockAnimation(DataInput input)`
An animation.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### animation

public TdApi.Animation animation
Animation file; may be null.

### caption

public TdApi.PageBlockCaption caption
Animation caption.

### needAutoplay

public boolean needAutoplay
True, if the animation must be played automatically.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### PageBlockAnimation

public PageBlockAnimation()
An animation.

### PageBlockAnimation

public PageBlockAnimation(TdApi.Animation animation, TdApi.PageBlockCaption caption, boolean needAutoplay)
An animation.

Parameters:
  `animation` - Animation Animation file; may be null.
  `caption` - PageBlockCaption Animation caption.
  `needAutoplay` - boolean True, if the animation must be played automatically.

### PageBlockAnimation

public PageBlockAnimation(DataInput input) throws IOException
An animation.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`